# Dedalus Project

## About Dedalus

Dedalus is a flexible framework for solving partial differential equations using spectral methods.
The code is open-source and developed by a team of researchers working on problems in astrophysical and geophysical fluid dynamics.

The code is written primarily in Python and features an easy-to-use interface, including text-based equation entry.
Our numerical algorithm produces highly sparse systems for a wide variety of equations on spectrally-discretized domains.
These systems are efficiently solved using compiled libraries and multidimensional parallelization though MPI.

## Links

Learn more about Dedalus by visiting the

* Project homepage: <http://dedalus-project.org>
* Code repository: <https://github.com/DedalusProject/dedalus>
* Documentation: <http://dedalus-project.readthedocs.org>
* User mailing list: <https://groups.google.com/forum/#!forum/dedalus-users>
* Development mailing list: <https://groups.google.com/forum/#!forum/dedalus-dev>

## Developers

The core development team consists of

* Keaton Burns (<keaton.burns@gmail.com>)
* Ben Brown (<bpbrown@gmail.com>)
* Daniel Lecoanet (<dlecoanet@gmail.com>)
* Jeff Oishi (<jsoishi@gmail.com>)
* Geoff Vasil (<geoffrey.m.vasil@gmail.com>)
